/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.gui.controladores.seguridad;

import java.math.BigDecimal;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;
import org.zkoss.zk.ui.Component;
import org.zkoss.zk.ui.Executions;
import org.zkoss.zul.Button;
import org.zkoss.zul.Intbox;

import com.rjconsultores.ventaboletos.entidad.Caja;
import com.rjconsultores.ventaboletos.utilerias.MoneyHelper;
import com.rjconsultores.ventaboletos.web.utilerias.MyGenericForwardComposer;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;
import com.rjconsultores.ventaboletos.web.utilerias.MyTextbox;

/**
 *
 * @author Rafius
 */
@Controller("editarIntegracaoTotvsController")
@Scope("prototype")
public class EditarIntegracaoTotvsController extends MyGenericForwardComposer {

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Caja caja;
    private MyListbox coloniaList;
    private static Logger log = LogManager.getLogger(EditarIntegracaoTotvsController.class);
	private MyTextbox txtNumBilhete;
	private Intbox txtpuntoVentaId;
	private MyTextbox txtFechaVenta;
	private MyTextbox txtOperacao;
	private MyTextbox txtErro;
    private Button btnApagar;
	private BigDecimal valorBilhete;

	private Intbox codpostal;

    
	public Caja getCaja() {
		return caja;
	}

	public void setCaja(Caja caja) {
		this.caja = caja;
	}

	public Button getBtnApagar() {
        return btnApagar;
    }

    public void setBtnApagar(Button btnApagar) {
        this.btnApagar = btnApagar;
    }

    public MyListbox getColoniaList() {
        return coloniaList;
    }

    public void setColoniaList(MyListbox coloniaList) {
        this.coloniaList = coloniaList;
    }

    public MyTextbox getTxtNome() {
		return txtNumBilhete;
    }

    public void setTxtNome(MyTextbox txtNome) {
		this.txtNumBilhete = txtNome;
    }


    @Override
    public void doAfterCompose(Component comp) throws Exception {

        super.doAfterCompose(comp);
		caja = (Caja) Executions.getCurrent().getArg().get("caja");
		setValorBilhete(MoneyHelper.somar(caja.getPreciopagado(), caja.getImportetaxaembarque(), caja.getImportepedagio(), caja.getImporteseguro()));
		txtNumBilhete.focus();
    }


    /**
     * @return the codpostal
     */
    public Intbox getCodpostal() {
        return codpostal;
    }

    /**
     * @param codpostal the codpostal to set
     */
    public void setCodpostal(Intbox codpostal) {
        this.codpostal = codpostal;
    }

	public MyTextbox getTxtNumBilhete() {
		return txtNumBilhete;
	}

	public void setTxtNumBilhete(MyTextbox txtNumBilhete) {
		this.txtNumBilhete = txtNumBilhete;
	}

	public Intbox getTxtpuntoVentaId() {
		return txtpuntoVentaId;
	}

	public void setTxtpuntoVentaId(Intbox txtpuntoVentaId) {
		this.txtpuntoVentaId = txtpuntoVentaId;
	}

	public MyTextbox getTxtFechaVenta() {
		return txtFechaVenta;
	}

	public void setTxtFechaVenta(MyTextbox txtFechaVenta) {
		this.txtFechaVenta = txtFechaVenta;
	}

	public MyTextbox getTxtOperacao() {
		return txtOperacao;
	}

	public void setTxtOperacao(MyTextbox txtOperacao) {
		this.txtOperacao = txtOperacao;
	}

	public MyTextbox getTxtErro() {
		return txtErro;
	}

	public void setTxtErro(MyTextbox txtErro) {
		this.txtErro = txtErro;
	}

	public BigDecimal getValorBilhete() {
		return valorBilhete;
	}

	public void setValorBilhete(BigDecimal valorBilhete) {
		this.valorBilhete = valorBilhete;
	}

}
